<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Bootstrap Components</title>
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
      integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N"
      crossorigin="anonymous"
    />
  </head>
  <body>
    <!-- nav bar -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
      <a class="navbar-brand" href="#">Ada Lovelace</a>
      <button
        class="navbar-toggler"
        type="button"
        data-toggle="collapse"
        data-target="#navbarNav"
        aria-controls="navbarNav"
        aria-expanded="false"
        aria-label="Toggle navigation"
      >
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav ml-auto">
          <li class="nav-item active">
            <a class="nav-link" href="#"
              >About Me <span class="sr-only">(current)</span></a
            >
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Projects</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Tools</a>
          </li>
        </ul>
      </div>
    </nav>
    <!-- end navbar -->
    <div class="container-fluid text-center">
      <div class="row">
        <!-- side navbar -->
        <div class="card col-xl-2 d-none d-xl-block p-0">
          <div class="accordion" id="accordionExample">
            <div class="card">
              <div class="card-header" id="headingOne">
                <h2 class="mb-0">
                  <!-- Services section -->
                  <button
                    class="btn btn-link btn-block text-left"
                    type="button"
                    data-toggle="collapse"
                    data-target="#collapseOne"
                    aria-expanded="true"
                    aria-controls="collapseOne"
                  >
                    Services
                  </button>
                </h2>
              </div>

              <div
                id="collapseOne"
                class="collapse show"
                aria-labelledby="headingOne"
                data-parent="#accordionExample"
              >
                <div class="card-body">
                  <ul class="text-justify" style="list-style: none">
                    <li><a href="#">Front-End Design</a></li>
                    <li><a href="#">Back-End Server</a></li>
                    <li><a href="#">Full-stack Development</a></li>
                  </ul>
                </div>
              </div>
            </div>
            <!-- services section end-->
            <!-- Project section -->
            <div class="card">
              <div class="card-header" id="headingTwo">
                <h2 class="mb-0">
                  <button
                    class="btn btn-link btn-block text-left collapsed"
                    type="button"
                    data-toggle="collapse"
                    data-target="#collapseTwo"
                    aria-expanded="false"
                    aria-controls="collapseTwo"
                  >
                    Projects
                  </button>
                </h2>
              </div>
              <div
                id="collapseTwo"
                class="collapse"
                aria-labelledby="headingTwo"
                data-parent="#accordionExample"
              >
                <div class="card-body">
                  <ul class="text-justify" style="list-style: none">
                    <li><a href="#">HTML</a></li>
                    <li><a href="#">Bootstrap</a></li>
                    <li><a href="#">Nade JS Server</a></li>
                  </ul>
                </div>
              </div>
            </div>
            <!-- projects section end -->
            <!-- start of tools section -->
            <div class="card">
              <div class="card-header" id="headingThree">
                <h2 class="mb-0">
                  <button
                    class="btn btn-link btn-block text-left collapsed"
                    type="button"
                    data-toggle="collapse"
                    data-target="#collapseThree"
                    aria-expanded="false"
                    aria-controls="collapseThree"
                  >
                    Tools
                  </button>
                </h2>
              </div>
              <div
                id="collapseThree"
                class="collapse"
                aria-labelledby="headingThree"
                data-parent="#accordionExample"
              >
                <div class="card-body">
                  <ul class="text-justify" style="list-style: none">
                    <li><a href="#">Core Tools</a></li>
                    <li><a href="#">other Tools</a></li>
                  </ul>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- end side navbar -->

        <!-- side content section part -->
        <div class="col-xl-10 p-0">
          <!-- Profile section start -->
          <div
            class="container-fluid bg-darkbg-dark text-light min-vh-100 p-3 p-md-5"
          >
            <img
              class="mt-5 mt-md-0 rounded-circle"
              src="https://i.guim.co.uk/img/media/3656ae6ea2209d4561caf04fa9f172a519908ca3/0_28_2318_1391/master/2318.jpg?width=1200&height=1200&quality=85&auto=format&fit=crop&s=afcc355f47876bc495cdc3c902639bae"
              width="250"
            />
            <h1>Ada Lovelace</h1>
            <h3>Full-stack Developer</h3>

            <div class="row mt-5">
              <div class="offset-md-2 col-md-8">
                <p>
                  Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed
                  do eiusmod tempor incididunt ut labore et dolore magna aliqua.
                  Ut enim ad minim veniam, quis nostrud exercitation ullamco
                  laboris nisi ut aliquip ex ea commodo consequat. Duis aute
                  irure dolor in reprehenderit in voluptate velit esse cillum
                  dolore eu fugiat nulla pariatur. Excepteur sint occaecat
                  cupidatat non proident, sunt in culpa qui officia deserunt
                  mollit anim id est laborum
                </p>
              </div>
            </div>
            <!-- carosel start here -->
            <div class="row d-none d-md-block mt-md-5">
              <div class="offset-xl-3 col-xl-6">
                <div
                  id="carouselExampleIndicators"
                  class="carousel slide"
                  data-ride="carousel"
                >
                  <ol class="carousel-indicators">
                    <li
                      data-target="#carouselExampleIndicators"
                      data-slide-to="0"
                      class="active"
                    ></li>
                    <li
                      data-target="#carouselExampleIndicators"
                      data-slide-to="1"
                    ></li>
                    <li
                      data-target="#carouselExampleIndicators"
                      data-slide-to="2"
                    ></li>
                  </ol>
                  <div class="carousel-inner">
                    <div class="carousel-item active">
                      <img
                        src="https://place-puppy.com/500x300"
                        class="d-block w-100"
                        alt="puppy"
                      />
                      <div class="carousel-caption d-none d-md-block">
                        <h5>First slide label</h5>
                        <p>
                          Some representative placeholder content for the first
                          slide.
                        </p>
                      </div>
                    </div>

                    <div class="carousel-item">
                      <img
                        src="https://placekitten.com/500/300"
                        class="d-block w-100"
                        alt="kitten"
                      />
                      <div class="carousel-caption d-none d-md-block">
                        <h5>Second slide label</h5>
                        <p>
                          Some representative placeholder content for the first
                          slide.
                        </p>
                      </div>
                    </div>
                    <div class="carousel-item">
                      <img
                        src="https://placebear.com/500/300"
                        class="d-block w-100"
                        alt="bear"
                      />
                      <div class="carousel-caption d-none d-md-block">
                        <h5>Third slide label</h5>
                        <p>
                          Some representative placeholder content for the first
                          slide.
                        </p>
                      </div>
                    </div>
                  </div>
                  <button
                    class="carousel-control-prev"
                    type="button"
                    data-target="#carouselExampleIndicators"
                    data-slide="prev"
                  >
                    <span
                      class="carousel-control-prev-icon"
                      aria-hidden="true"
                    ></span>
                    <span class="sr-only">Previous</span>
                  </button>
                  <button
                    class="carousel-control-next"
                    type="button"
                    data-target="#carouselExampleIndicators"
                    data-slide="next"
                  >
                    <span
                      class="carousel-control-next-icon"
                      aria-hidden="true"
                    ></span>
                    <span class="sr-only">Next</span>
                  </button>
                </div>
              </div>
            </div>
            <!-- end of carosel -->

            <div class="bg-secondary text-light min-vh-100 p-5">
              <h2 class="mb-3">Other Projects</h2>
              <!-- other projects container start -->
              <div class="p-md-5 d-lg-flex justify-content-center">
                <!-- html card start -->
                <div class="card bg-dark col-xl-4 mb-5 mb-xl-0">
                  <div class="card-body">
                    <img
                      src="https://3.bp.blogspot.com/-7x5c_f1yzsQ/XHv9FZKHrEI/AAAAAAAADrE/4iGl9Lm6K2odX4SdWbU_RN6gZesx4IaGACEwYBhgL/s1600/html.jpg"
                      class="card-img-top"
                    />
                    <h5 class="card-title">HTML</h5>
                    <h6 class="card-subtitle mb-2 text-muted">Rapid typing</h6>
                    <p class="card-text">
                      Lorem ipsum dolor sit amet, consectetur adipiscing elit,
                      sed do eiusmod tempor incididunt ut labore et dolore magna
                      aliqua. Ut enim ad minim veniam, quis nostrud exercitation
                      ullamco laboris nisi ut aliquip ex ea commodo consequat.
                      Duis aute irure dolor in reprehenderit in voluptate velit
                      esse cillum dolore eu fugiat nulla pariatur. Excepteur
                      sint occaecat cupidatat non proident, sunt in culpa qui
                      officia deserunt mollit anim id est laborum
                    </p>
                    <a href="#" class="card-link">Card link</a>
                    <a href="#" class="card-link">Another link</a>
                  </div>
                </div>
                <!-- html card end -->
                <!-- bootstrap card start -->
                <div class="card bg-dark col-xl-4 mb-5 mb-xl-0">
                  <div class="card-body">
                    <img
                      src="https://miro.medium.com/max/1400/1*2sNAb8cIxpOQ9Hi17hbg_A.png"
                      class="card-img-top"
                    />
                    <h5 class="card-title">Bootstrap</h5>
                    <h6 class="card-subtitle mb-2 text-muted">designing</h6>
                    <p class="card-text">
                      Lorem ipsum dolor sit amet, consectetur adipiscing elit,
                      sed do eiusmod tempor incididunt ut labore et dolore magna
                      aliqua. Ut enim ad minim veniam, quis nostrud exercitation
                      ullamco laboris nisi ut aliquip ex ea commodo consequat.
                      Duis aute irure dolor in reprehenderit in voluptate velit
                      esse cillum dolore eu fugiat nulla pariatur. Excepteur
                      sint occaecat cupidatat non proident, sunt in culpa qui
                      officia deserunt mollit anim id est laborum
                    </p>
                    <a href="#" class="card-link">Card link</a>
                    <a href="#" class="card-link">Another link</a>
                  </div>
                </div>
                <!-- bootstrap card end -->
                <!-- nodejs card start -->
                <div class="card bg-dark col-xl-4 mb-5 mb-xl-0">
                  <div class="card-body">
                    <img
                      src="https://clever-solution.com/wp-content/uploads/2020/04/5625%D0%9C%D0%BE%D0%BD%D1%82%D0%B0%D0%B6%D0%BD%D0%B0%D1%8F-%D0%BE%D0%B1%D0%BB%D0%B0%D1%81%D1%82%D1%8C-1-1280x720.png"
                      class="card-img-top"
                    />
                    <h5 class="card-title">Node JS</h5>
                    <h6 class="card-subtitle mb-2 text-muted">Server</h6>
                    <p class="card-text">
                      Lorem ipsum dolor sit amet, consectetur adipiscing elit,
                      sed do eiusmod tempor incididunt ut labore et dolore magna
                      aliqua. Ut enim ad minim veniam, quis nostrud exercitation
                      ullamco laboris nisi ut aliquip ex ea commodo consequat.
                      Duis aute irure dolor in reprehenderit in voluptate velit
                      esse cillum dolore eu fugiat nulla pariatur. Excepteur
                      sint occaecat cupidatat non proident, sunt in culpa qui
                      officia deserunt mollit anim id est laborum
                    </p>
                    <a href="#" class="card-link">Card link</a>
                    <a href="#" class="card-link">Another link</a>
                  </div>
                </div>
                <!-- nodejs card end -->
              </div>
              <!-- other projects container end -->
            </div>

            <div
              class="row d-flex flex-column align-items-center justify-content-center text-center bg-dark py-5 px-3"
            >
              <h2 class="text-center my-3">Contact Me</h2>

              <div
                class="col-md-8 col-xl-4 bg-primary jusify-content-center py-5"
              >
                <form class="d-flex order-1 flex-column">
                  <label for="Name">Name</label>
                  <input type="text" name="fullname" id="fullname" />

                  <label for="Email">Email</label>
                  <input type="email" name="Email" id="Email" />

                  <label for="Contact Number">Contact</label>
                  <input
                    type="text"
                    name="contact"
                    id="contact"
                    oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1');"
                  />

                  <label for="concern">Concern</label>
                  <select name="concern">
                    <option value="concern-1">What is life?</option>
                    <option value="concern-2">What is JS?</option>
                    <option value="concern-2">What is Nextjs?</option>
                  </select>

                  <label for="message">message</label>
                  <textarea
                    name="message"
                    id="message"
                    cols="30"
                    rows="10"
                  ></textarea>

                  <button
                    type="button"
                    class="my-5 bg-dark text-white"
                    data-toggle="modal"
                    data-target="#exampleModal"
                  >
                    Send Email
                  </button>
                </form>
              </div>
            </div>

            <!-- Modal -->
            <div
              class="modal"
              id="exampleModal"
              tabindex="-1"
              role="dialog"
              aria-labelledby="exampleModalLabel"
              aria-hidden="true"
            >
              <div class="modal-dialog" role="document">
                <div class="modal-content" class="text-dark">
                  <div class="modal-header">
                    <h5 class="modal-title text-dark" id="exampleModalLabel">
                      Thank you for contacting us
                    </h5>
                    <button
                      type="button"
                      class="close"
                      data-dismiss="modal"
                      aria-label="Close"
                    >
                      <span aria-hidden="true">&times;</span>
                    </button>
                  </div>
                  <div class="modal-body text-dark">
                    The email has been seeeeeeeent
                  </div>
                  <div class="modal-footer">
                    <button
                      type="button"
                      class="btn btn-secondary"
                      data-dismiss="modal"
                    >
                      Close
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!--
						Important Note:
						- The "min-vh-100" class will ensure that regardless of the content the size of each section will be at least 100% of the current viewport height.
						- The combination of the "offset-md-2" and "col-md-8" classes will change the layout of the Profile text to occupy 8 columns on a medium screen and larger and the full width on smaller screens.
						- The combination of the "p-3" and "p-md-5" classes will change the layout of the side content to have a padding 3 on all screen sizes and 5 on a tablet or larger.
					-->
          <!-- end of profile section -->
        </div>
        <!-- end of content section part -->
      </div>

      <!-- form -->
    </div>

    <script
      src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
